"""lustre lock large disk workflows

Revision ID: 3b57b123d982
Revises: 026c81864801
Create Date: 2022-12-12 10:22:35.952883

"""
from pathlib import Path

from alembic import op

# revision identifiers, used by Alembic.
revision = "3b57b123d982"
down_revision = "026c81864801"
branch_labels = None
depends_on = None


def set_content(wf_name: str, filename: str) -> str:
    return (Path.cwd() / "versions" / "templates" / wf_name / filename).read_text()


def upgrade():
    # std_cms_imaging
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_cms_imaging", "lustre_only_envoy_sh_2.7.txt")}'
        WHERE filename='std_cms_imaging_envoy.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_cms_imaging", "lustre_only_envoy_2.7.txt")}'
        WHERE filename='std_cms_imaging_envoy.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_cms_imaging", "lustre_only_convey_sh_2.7.txt")}'
        WHERE filename='std_cms_imaging_convey.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_cms_imaging", "lustre_only_convey_2.7.txt")}'
        WHERE filename='std_cms_imaging_convey.condor'
        """
    )

    # std_calibration
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_calibration", "lustre_only_fetch_sh_2.7.txt")}'
        WHERE filename='std_calibration_fetch.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_calibration", "lustre_only_fetch_2.7.txt")}'
        WHERE filename='std_calibration_fetch.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_calibration", "lustre_only_envoy_sh_2.7.txt")}'
        WHERE filename='std_calibration_envoy.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_calibration", "lustre_only_envoy_2.7.txt")}'
        WHERE filename='std_calibration_envoy.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_calibration", "lustre_only_convey_sh_2.7.txt")}'
        WHERE filename='std_calibration_convey.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_calibration", "lustre_only_convey_2.7.txt")}'
        WHERE filename='std_calibration_convey.condor'
        """
    )

    # pims_split restore stage
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("pims_split", "lustre_only_restore_sh_2.7.txt")}'
        WHERE filename='restore.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("pims_split", "lustre_only_restore_2.7.txt")}'
        WHERE filename='restore.condor'
        """
    )

    # vlass_calibration
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("vlass_calibration", "lustre_only_fetch_sh_2.7.txt")}'
        WHERE filename='vlass_calibration_fetch.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("vlass_calibration", "lustre_only_fetch_2.7.txt")}'
        WHERE filename='vlass_calibration_fetch.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("vlass_calibration", "lustre_only_envoy_sh_2.7.txt")}'
        WHERE filename='vlass_calibration_envoy.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("vlass_calibration", "lustre_only_envoy_2.7.txt")}'
        WHERE filename='vlass_calibration_envoy.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("vlass_calibration", "lustre_only_convey_sh_2.7.txt")}'
        WHERE filename='vlass_calibration_convey.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("vlass_calibration", "lustre_only_convey_2.7.txt")}'
        WHERE filename='vlass_calibration_convey.condor'
        """
    )

    # restore_cms
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("restore_cms", "lustre_only_fetch_sh_2.7.txt")}'
        WHERE filename='restore_cms_fetch.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("restore_cms", "lustre_only_fetch_2.7.txt")}'
        WHERE filename='restore_cms_fetch.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("restore_cms", "lustre_only_envoy_sh_2.7.txt")}'
        WHERE filename='restore_cms_envoy.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("restore_cms", "lustre_only_envoy_2.7.txt")}'
        WHERE filename='restore_cms_envoy.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("restore_cms", "lustre_only_deliver_sh_2.7.txt")}'
        WHERE filename='restore_cms_deliver.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("restore_cms", "lustre_only_deliver_2.7.txt")}'
        WHERE filename='restore_cms_deliver.condor'
        """
    )

    # std_restore_imaging
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_restore_imaging", "lustre_only_fetch_sh_2.7.txt")}'
        WHERE filename='std_restore_imaging_fetch.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_restore_imaging", "lustre_only_fetch_2.7.txt")}'
        WHERE filename='std_restore_imaging_fetch.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_restore_imaging", "lustre_only_envoy_sh_2.7.txt")}'
        WHERE filename='std_restore_imaging_envoy.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_restore_imaging", "lustre_only_envoy_2.7.txt")}'
        WHERE filename='std_restore_imaging_envoy.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_restore_imaging", "lustre_only_deliver_sh_2.7.txt")}'
        WHERE filename='std_restore_imaging_deliver.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_restore_imaging", "lustre_only_deliver_2.7.txt")}'
        WHERE filename='std_restore_imaging_deliver.condor'
        """
    )


def downgrade():
    # std_cms_imaging
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_cms_imaging", "envoy_sh_pre_2.7.txt")}'
        WHERE filename='std_cms_imaging_envoy.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_cms_imaging", "envoy_pre_2.7.txt")}'
        WHERE filename='std_cms_imaging_envoy.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_cms_imaging", "convey_sh_pre_2.7.txt")}'
        WHERE filename='std_cms_imaging_convey.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_cms_imaging", "convey_pre_2.7.txt")}'
        WHERE filename='std_cms_imaging_convey.condor'
        """
    )

    # std_calibration
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_calibration", "fetch_sh_pre_2.7.txt")}'
        WHERE filename='std_calibration_fetch.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_calibration", "fetch_pre_2.7.txt")}'
        WHERE filename='std_calibration_fetch.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_calibration", "envoy_sh_pre_2.7.txt")}'
        WHERE filename='std_calibration_envoy.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_calibration", "envoy_pre_2.7.txt")}'
        WHERE filename='std_calibration_envoy.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_calibration", "convey_sh_pre_2.7.txt")}'
        WHERE filename='std_calibration_convey.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_calibration", "convey_pre_2.7.txt")}'
        WHERE filename='std_calibration_convey.condor'
        """
    )

    # pims_split restore stage
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("pims_split", "restore_sh_pre_2.7.txt")}'
        WHERE filename='restore.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("pims_split", "restore_pre_2.7.txt")}'
        WHERE filename='restore.condor'
        """
    )

    # vlass_calibration
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("vlass_calibration", "fetch_sh_pre_2.7.txt")}'
        WHERE filename='vlass_calibration_fetch.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("vlass_calibration", "fetch_pre_2.7.txt")}'
        WHERE filename='vlass_calibration_fetch.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("vlass_calibration", "envoy_sh_pre_2.7.txt")}'
        WHERE filename='vlass_calibration_envoy.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("vlass_calibration", "envoy_pre_2.7.txt")}'
        WHERE filename='vlass_calibration_envoy.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("vlass_calibration", "convey_sh_pre_2.7.txt")}'
        WHERE filename='vlass_calibration_convey.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("vlass_calibration", "convey_pre_2.7.txt")}'
        WHERE filename='vlass_calibration_convey.condor'
        """
    )

    # restore_cms
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("restore_cms", "fetch_sh_pre_2.7.txt")}'
        WHERE filename='restore_cms_fetch.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("restore_cms", "fetch_pre_2.7.txt")}'
        WHERE filename='restore_cms_fetch.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("restore_cms", "envoy_sh_pre_2.7.txt")}'
        WHERE filename='restore_cms_envoy.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("restore_cms", "envoy_pre_2.7.txt")}'
        WHERE filename='restore_cms_envoy.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("restore_cms", "deliver_sh_pre_2.7.txt")}'
        WHERE filename='restore_cms_deliver.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("restore_cms", "deliver_pre_2.7.txt")}'
        WHERE filename='restore_cms_deliver.condor'
        """
    )

    # std_restore_imaging
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_restore_imaging", "fetch_sh_pre_2.7.txt")}'
        WHERE filename='std_restore_imaging_fetch.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_restore_imaging", "fetch_pre_2.7.txt")}'
        WHERE filename='std_restore_imaging_fetch.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_restore_imaging", "envoy_sh_pre_2.7.txt")}'
        WHERE filename='std_restore_imaging_envoy.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_restore_imaging", "envoy_pre_2.7.txt")}'
        WHERE filename='std_restore_imaging_envoy.condor'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_restore_imaging", "deliver_sh_pre_2.7.txt")}'
        WHERE filename='std_restore_imaging_deliver.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("std_restore_imaging", "deliver_pre_2.7.txt")}'
        WHERE filename='std_restore_imaging_deliver.condor'
        """
    )
